// This code was generated by: 
// https://github.com/recolude/swagger-unity-codegen
// Issues and PRs welcome :)

namespace Recolude.API
{

    /// <summary>
    /// A collection of parameters that different services use to make calls 
    /// to Recolude. 
    /// </summary>
    public interface Config
    {
        // The base URL to which the endpoint paths are appended
        string BasePath { get; }

        // ApiKey is a API Key 'X-API-KEY' found in a request's header
        string ApiKey { get; }

        // Cognito is a API Key 'Authorization' found in a request's header
        string Cognito { get; }

        // DevKey is a API Key 'X-DEV-KEY' found in a request's header
        string DevKey { get; }

        // JobKey is a API Key 'X-JOB-KEY' found in a request's header
        string JobKey { get; }

        // LambdaKey is a API Key 'X-LAMBDA-KEY' found in a request's header
        string LambdaKey { get; }
    }

}